module.exports = Popover = () => ({
  ".popover": {
    position: "absolute",
    top: 0,
    left: " 0 /* rtl:ignore */",
    zIndex: 1060,
    display: "block",
    "max-width": "276px",
    fontStyle: "normal",
    fontWeight: 400,
    lineHeight: 1.5,
    textAlign: "left",
    textAlign: "start",
    textDecoration: "none",
    textShadow: "none",
    textTransform: "none",
    letterSpacing: "normal",
    wordBreak: "normal",
    wordSpacing: "normal",
    whiteSpace: "normal",
    lineBreak: "auto",
    fontSize: "0.875rem",
    wordWrap: "break-word",
    backgroundColor: "#fff",
    backgroundClip: "padding-box",
    border: "1px solid rgba(0, 0, 0, 0.2)",
    borderRadius: "0.3rem",
  },
  ".popover .popover-arrow": {
    position: "absolute",
    display: "block",
    width: "1rem",
    height: "0.5rem",
    margin: "0 0.3rem",
  },
  ".popover .popover-arrow::before, .popover .popover-arrow::after": {
    position: "absolute",
    display: "block",
    content: "''",
    borderColor: "transparent",
    borderStyle: "solid",
  },
  ".bs-popover-top, .bs-popover-auto[data-popper-placement^=top]": {
    marginBottom: "0.5rem !important",
  },
  ".bs-popover-top > .popover-arrow, .bs-popover-auto[data-popper-placement^=top] > .popover-arrow": {
    bottom: "calc(-0.5rem - 1px)",
  },
  ".bs-popover-top > .popover-arrow::before, .bs-popover-auto[data-popper-placement^=top] > .popover-arrow::before": {
    bottom: 0,
    borderWidth: "0.5rem 0.5rem 0",
    borderTopColor: "rgba(0, 0, 0, 0.25)",
  },
  ".bs-popover-top > .popover-arrow::after, .bs-popover-auto[data-popper-placement^=top] > .popover-arrow::after": {
    bottom: "1px",
    borderWidth: "0.5rem 0.5rem 0",
    borderTopColor: "#fff",
  },
  ".bs-popover-end, .bs-popover-auto[data-popper-placement^=right]": {
    marginLeft: "0.5rem !important",
  },
  ".bs-popover-end > .popover-arrow, .bs-popover-auto[data-popper-placement^=right] > .popover-arrow": {
    left: "calc(-0.5rem - 1px)",
    width: "0.5rem",
    height: "1rem",
    margin: "0.3rem 0",
  },
  ".bs-popover-end > .popover-arrow::before, .bs-popover-auto[data-popper-placement^=right] > .popover-arrow::before": {
    left: 0,
    borderWidth: "0.5rem 0.5rem 0.5rem 0",
    borderRightColor: "rgba(0, 0, 0, 0.25)",
  },
  ".bs-popover-end > .popover-arrow::after, .bs-popover-auto[data-popper-placement^=right] > .popover-arrow::after": {
    left: "1px",
    borderWidth: "0.5rem 0.5rem 0.5rem 0",
    borderRightColor: "#fff",
  },
  ".bs-popover-bottom, .bs-popover-auto[data-popper-placement^=bottom]": {
    marginTop: "0.5rem !important",
  },
  ".bs-popover-bottom > .popover-arrow, .bs-popover-auto[data-popper-placement^=bottom] > .popover-arrow": {
    top: "calc(-0.5rem - 1px)",
  },
  ".bs-popover-bottom > .popover-arrow::before, .bs-popover-auto[data-popper-placement^=bottom] > .popover-arrow::before": {
    top: 0,
    borderWidth: "0 0.5rem 0.5rem 0.5rem",
    borderBottomColor: "rgba(0, 0, 0, 0.25)",
  },
  ".bs-popover-bottom > .popover-arrow::after, .bs-popover-auto[data-popper-placement^=bottom] > .popover-arrow::after": {
    top: "1px",
    borderWidth: "0 0.5rem 0.5rem 0.5rem",
    borderBottomColor: "#fff",
  },
  ".bs-popover-bottom .popover-header::before, .bs-popover-auto[data-popper-placement^=bottom] .popover-header::before": {
    position: "absolute",
    top: 0,
    left: "50%",
    display: "block",
    width: "1rem",
    marginLeft: "-0.5rem",
    content: "''",
    borderBottom: "1px solid #f0f0f0",
  },
  ".bs-popover-start, .bs-popover-auto[data-popper-placement^=left]": {
    marginRight: "0.5rem !important",
  },
  ".bs-popover-start > .popover-arrow, .bs-popover-auto[data-popper-placement^=left] > .popover-arrow": {
    right: "calc(-0.5rem - 1px)",
    width: "0.5rem",
    height: "1rem",
    margin: "0.3rem 0",
  },
  ".bs-popover-start > .popover-arrow::before, .bs-popover-auto[data-popper-placement^=left] > .popover-arrow::before": {
    right: 0,
    borderWidth: "0.5rem 0 0.5rem 0.5rem",
    borderLeftColor: "rgba(0, 0, 0, 0.25)",
  },
  ".bs-popover-start > .popover-arrow::after, .bs-popover-auto[data-popper-placement^=left] > .popover-arrow::after": {
    right: "1px",
    borderWidth: "0.5rem 0 0.5rem 0.5rem",
    borderLeftColor: "#fff",
  },
  ".popover-header": {
    padding: "0.5rem 1rem",
    marginBottom: 0,
    fontSize: "1rem",
    backgroundColor: "#f0f0f0",
    borderBottom: "1px solid #d8d8d8",
    borderTopLeftRadius: "calc(0.3rem - 1px)",
    borderTopRightRadius: "calc(0.3rem - 1px)",
  },
  ".popover-header:empty": {
    display: "none",
  },
  ".popover-body": {
    padding: "1rem 1rem",
    color: "#212529",
  },
});
